<!DOCTYPE html>
<html>
<head>
    <meta name="generator" content=
            "HTML Tidy for Linux (vers 25 March 2009), see www.w3.org">
    <meta http-equiv="Content-Type" content=
            "text/html; charset=us-ascii">
    <link href="bootstrap.min.css" media="screen" rel="stylesheet"
          type="text/css">
    <title>ehealthsuisse RMU Update Responder mockup</title>
    <link rel="shortcut icon" href="favicon2.ico" type="image/x-icon">
</head>
<body class="container-fluid">
<div class="well well-small">
    <center>
        <h2>eHealthSuisse RMU Update Responder MockUp</h2>
    </center>
<span class="row-fluid">
    <span class="span10 offset1">
        <p>ehealthSuisse RMU Update Responder MockUp simulates a Update Responder actor.</p>
        <p>The RMU profile provides a capability to change selected metadata attributes of documents registered and stored in another community.</p>
        <p>The actors involved in this profile are : Initiator, Responder and Document Registry/recipient.</p>
        <ul><li>The Update Initiator sends Restricted Update Document Set [ITI-92] request to the Responder specifying the homeCommunityID and the patientID.</li>
            <li>The Update Responder checks if the request is valid, if not, the transaction fails.
                If the request is valid, the Responder sends the request to the Document Registry/Document.
                Then, the Document Registry responds if the update has been done or not.</li>
            <li>The Update Responder responds according to the Document Registry response.</li>
            <li>To build correctly [ITI-92] request, we need to retrieve the last good version of document registry.
            So first of all, it's important to execute Registry Stored Query [ITI-18] request; indeed this request will return the last version Approved of the document registry.
            And with this response we can build an adapted [ITI-92] request</li>
        </ul>
        <br>
        <h3>Data Set</h3><br>
        <h4>Responder data</h4>
        <table class="table table-striped">
            <tr>
                <th>
                PatientID
                </th>
                <th>
                    SubmissionSet.sourceId
                </th>
                <th>
                    SubmissionSet.uniqueId
                </th>
                <th>
                HomeCommunityID
                </th>
            </tr>
            <tr>
                <td>
                    CHPAM34^^^&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                 <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.1111
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM4489^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.13333
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM1416^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11121
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM0456^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11131
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM9127^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11141
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM2987^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11151
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM7647^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11161
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM1945^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11171
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM5763^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                   1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11181
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
            <tr>
                <td>
                    CHPAM3946^^^CHPAM&1.3.6.1.4.1.12559.11.20.1&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11191
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
              <tr>
                <td>
                    761337610435209810^^^SPID&2.16.756.5.30.1.127.3.10.3&ISO
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.5
                </td>
                <td>
                    1.3.6.1.4.1.12559.11.13.2.6.11201
                </td>
                <td>
                    urn:oid:1.2.3.4.5.6.2.333.23
                </td>
            </tr>
        </table>
        <br>
        <h3>EndPoint</h3>
        <li><a href="http://ehealthsuisse.ihe-europe.net/restricted-metadata-update?wsdl">RMU : http://ehealthsuisse.ihe-europe.net/restricted-metadata-update?wsdl</a></li>
        <li><a href="http://ehealthsuisse.ihe-europe.net/update-document-set?wsdl">ITI-57 : http://ehealthsuisse.ihe-europe.net/update-document-set?wsdl</a></li>
        <li><a href="http://ehealthsuisse.ihe-europe.net/registry-stored-query?wsdl">ITI-18 : http://ehealthsuisse.ihe-europe.net/registry-stored-query?wsdl</a></li>
        <li><p>It requires TLS mutual authentication with testing certificate (from GSS PKI). <a
                href="https://ehealthsuisse.ihe-europe.net:10443/rmu-responding-gateway?wsdl">The wsdl can be browsed here</a></p></li>
        <br/>
        <h3>Restricted Update Document Set [ITI-92] Request example</h3>
        <pre>&lt;soap12:Envelope xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;soap12:Header&gt;
      &lt;wsa:Action soap12:mustUnderstand="1"&gt;urn:ihe:iti:2018:RestrictedUpdateDocumentSet&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;urn:uuid:7f24a8b1-05f5-430f-8e2d-87b8ef91dcc0&lt;/wsa:MessageID&gt;
      &lt;wsa:ReplyTo&gt;
         &lt;wsa:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:Address&gt;
      &lt;/wsa:ReplyTo&gt;
      &lt;wsa:To/&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"/&gt;
   &lt;/soap12:Header&gt;
   &lt;soap12:Body&gt;
      &lt;lcm:SubmitObjectsRequest xmlns:lcm="urn:oasis:names:tc:ebxml-regrep:xsd:lcm:3.0" xmlns:rim="urn:oasis:names:tc:ebxml-regrep:xsd:rim:3.0" xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:3.0" xmlns:xdsb="urn:ihe:iti:xds-b:2007" xmlns:xop="http://www.w3.org/2004/08/xop/include"&gt;
         &lt;rim:RegistryObjectList&gt;

            &lt;!--==== Submission Part ====--&gt;
            &lt;rim:RegistryPackage id="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:RegistryPackage" <span
                    style="background-color: yellow; font-weight: bold; ">home="urn:oid:1.2.3.4.5.6.2.333.23"</span>&gt;
               &lt;rim:Slot name="submissionTime"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;20180115120619&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Name&gt;
                  &lt;rim:LocalizedString value="XDS Submission Set"/&gt;
               &lt;/rim:Name&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:aa543740-bdda-424e-8c96-df4873be8500" classifiedObject="urn:uuid:0216e18f-55d4-4593-b73d-3d23d2bab035" id="urn:uuid:05a39635-af04-4802-8c8a-7640dfde61da" nodeRepresentation="419891008" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Other Composition"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationNode="urn:uuid:a54d6aa5-d40d-43f9-88c5-b4633d873bdd" classifiedObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" id="urn:uuid:d2947dde-7346-437b-87d5-6f4812f68509" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"/&gt;
               &lt;rim:ExternalIdentifier id="urn:uuid:c8f14902-d156-43a4-8513-f3f67d2f5dce" identificationScheme="urn:uuid:554ac39e-e3fe-47fe-b233-965d2a147832" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" <span
                    style="background-color: yellow; font-weight: bold; ">value="1.3.6.1.4.1.21367.2012.2.1.4"</span>&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSSubmissionSet.sourceId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
               &lt;rim:ExternalIdentifier id="urn:uuid:f602bd54-7716-4318-9c69-70e65b4e458e" identificationScheme="urn:uuid:96fdda7c-d067-4183-912e-bf5ee74998a8" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" value="1.3.6.1.4.1.12559.11.1.2.2.1.1.4.101633"&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSSubmissionSet.uniqueId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
               &lt;rim:ExternalIdentifier id="c5a27d7a-069a-43c9-b3d5-495110b61575" identificationScheme="urn:uuid:6b5aea1a-874d-4603-a4bc-96a0a7b38446" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" <span
                    style="background-color: yellow; font-weight: bold; ">value="CHPAM34^^^CHPAM&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO"</span>&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSSubmissionSet.patientId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
            &lt;/rim:RegistryPackage&gt;
            &lt;!--==== /Submission Part ====--&gt;

            &lt;!--==== Folder Part ====--&gt;
            &lt;rim:RegistryPackage id="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:RegistryPackage" status="urn:oasis:names:tc:ebxml-regrep:StatusType:Approved" <span
                    style="background-color: yellow; font-weight: bold; ">home="urn:oid:1.2.3.4.5.6.2.333.23"</span>&gt;
               &lt;rim:Slot name="lastUpdateTime"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;20180115120619&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Name&gt;
                  &lt;rim:LocalizedString value="XDS Folder 1"/&gt;
               &lt;/rim:Name&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:1ba97051-7806-41a8-a48b-8fce7af683c5" classifiedObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a" id="urn:uuid:1ebeeb2e-3e78-4132-a8d9-65120824b764" nodeRepresentation="Referrals" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;Connect-a-thon folderCodeList&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Referrals"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationNode="urn:uuid:d9d542f3-6cc4-48b6-8870-ea235fbc94c2" classifiedObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a" id="urn:uuid:a6faddff-c304-42e3-9645-750e975d0470" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"/&gt;
               &lt;rim:ExternalIdentifier id="urn:uuid:72c6f02b-0fd0-499a-bdbe-4089ac929d95" identificationScheme="urn:uuid:75df8f67-9973-4fbe-a900-df66cefecc5a" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a" value="1.3.6.1.4.1.12559.11.1.2.2.1.1.4.101633"&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSFolder.uniqueId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
               &lt;rim:ExternalIdentifier id="4c762dfb-fba3-4567-95da-2afcb91828a2" identificationScheme="urn:uuid:f64ffdf0-4b97-4e06-b79f-a52b38ec2f8a" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a" <span
                    style="background-color: yellow; font-weight: bold; ">value="CHPAM34^^^CHPAM&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO"</span>&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSFolder.patientId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
            &lt;/rim:RegistryPackage&gt;
            &lt;!--==== /Folder Part ====--&gt;

            &lt;rim:Association associationType="urn:oasis:names:tc:ebxml-regrep:AssociationType:HasMember" id="efd55471-b598-4c13-870c-202360a8450d" sourceObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" targetObject="urn:uuid:966276d6-6486-4d0b-a673-a4cf76c90c7a"/&gt;

            &lt;!--==== Document Entry Part ====--&gt;
            &lt;rim:ExtrinsicObject id="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" mimeType="text/xml" objectType="urn:uuid:7edca82f-054d-47f2-a032-9b2a5b5186c1" status="urn:oasis:names:tc:ebxml-regrep:StatusType:Approved" lid="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" <span
                    style="background-color: yellow; font-weight: bold; ">home="urn:oid:1.2.3.4.5.6.2.333.23"</span>&gt;
               &lt;rim:Slot name="repositoryUniqueId"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;1.3.6.1.4.1.12559.11.25.1.11.2&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="hash"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;e564e98733d1ecdff0255fe0b50a33075940015c&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="size"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;9995&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="languageCode"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;en-us&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="creationTime"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;20180712030836&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="sourcePatientId"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;<span style="background-color: yellow; font-weight: bold; ">CHPAM34^^^CHPAM&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO</span>&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Name&gt;
                  &lt;rim:LocalizedString value="XDSDocument Entry 1"/&gt;
               &lt;/rim:Name&gt;
               &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:41a5887f-8865-4c09-adf7-e362475b143a" classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" id="urn:uuid:6e9c5cff-a1db-4e62-93fd-a257fccc83d5" nodeRepresentation="1241000195103" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Note on Procedure (record artifact)"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:f4f85eac-e6cb-4883-b524-f2705394840f" classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" id="urn:uuid:de59c2f8-75a2-4d1b-80ed-c491666b30b3" nodeRepresentation="1131000195104" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="eingeschr?nkt"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:a09d5840-386c-46f2-b5ad-9c3699a4309d" classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" id="urn:uuid:32641cd9-b238-4d56-99ed-1a97d7c85aeb" nodeRepresentation="*" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.756.5.30.1.127.77.10.5.2&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="*"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:f33fb8ac-18af-42cc-ae0e-ed0b0bdb91e1" classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" id="urn:uuid:0e941bd5-e24b-418f-b527-92e0db255fff" nodeRepresentation="394778007" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Client's or patient's home (environment)"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:cccf5598-8b07-4b77-a05e-ae952c785ead" classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" id="urn:uuid:dc659cbe-b5b5-4235-a9b0-fbb9a2de2746" nodeRepresentation="8918198" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Community Medication Treatment Plan"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:f0306f51-975f-434e-a61c-c59651d33983" classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" id="urn:uuid:b6e6d57d-eae0-4391-9146-90aabaff52f9" nodeRepresentation="721912009" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Medication summary document (record artifact)"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:ExternalIdentifier id="urn:uuid:7d976a2b-8784-41fc-a939-af0b0d71cbcd" identificationScheme="urn:uuid:2e82c1f6-a085-4c72-9da3-8640a32e42ab" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" value="1.3.6.1.4.1.12559.11.25.1.16.2.20171010072756850"&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSDocumentEntry.uniqueId"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:ExternalIdentifier&gt;
               &lt;rim:ExternalIdentifier id="urn:uuid:355feb7f-a3d2-41f5-9e4e-698ed3ffc4bd" identificationScheme="urn:uuid:58a6f841-87b3-4a3e-92fd-a8ffeff98427" objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier" registryObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481" <span
                    style="background-color: yellow; font-weight: bold; ">value="CHPAM34^^^CHPAM&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO"</span>&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSDocumentEntry.patientId"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:ExternalIdentifier&gt;
            &lt;/rim:ExtrinsicObject&gt;
            &lt;!--==== /Document Entry Part ====--&gt;

            &lt;rim:Association associationType="urn:oasis:names:tc:ebxml-regrep:AssociationType:HasMember" id="98359cee-59bb-4f9d-a199-151e933eeb66" sourceObject="urn:uuid:fd22545f-d7f6-4ca1-8ff1-d8bae7364ac1" targetObject="urn:uuid:e72a86d7-9d50-4b24-9c8c-2f57f6560ff8"&gt;
               &lt;rim:Slot name="SubmissionSetStatus"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;Original&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="PreviousVersion"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;1&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
            &lt;/rim:Association&gt;

         &lt;/rim:RegistryObjectList&gt;
      &lt;/lcm:SubmitObjectsRequest&gt;
   &lt;/soap12:Body&gt;
&lt;/soap12:Envelope&gt;</pre>
        <br/>
        <h3>Restricted Update Document Set [ITI-92] Success response example</h3>
        <pre>&lt;soap12:Envelope xmlns:soap12="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
   &lt;soap12:Header&gt;
      &lt;wsa:Action xmlns="http://www.w3.org/2005/08/addressing"&gt;urn:ihe:iti:2018:RestrictedUpdateDocumentSetResponse&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;urn:uuid:247d1b0a-477b-4539-ad61-18833df5b327&lt;/wsa:MessageID&gt;
      &lt;wsa:To&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:To&gt;
      &lt;wsa:RelatesTo&gt;urn:uuid:43182b89-24d6-43cf-bc86-da4d710650e0&lt;/wsa:RelatesTo&gt;
   &lt;/soap12:Header&gt;
   &lt;soap12:Body&gt;
      &lt;rs:RegistryResponse status="urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:<strong>Success</strong>" xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:3.0"/&gt;
   &lt;/soap12:Body&gt;
&lt;/soap12:Envelope&gt;</pre>
         <br/>
        <h3>Restricted Update Document Set [ITI-92] Failed response example</h3>
        <pre>&lt;soap12:Envelope xmlns:soap12="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
   &lt;soap12:Header&gt;
      &lt;wsa:Action&gt;urn:ihe:iti:2018:RestrictedUpdateDocumentSetResponse&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;urn:uuid:986c0b7a-7fe4-467e-886d-46993ab7fcea&lt;/wsa:MessageID&gt;
      &lt;wsa:To&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:To&gt;
      &lt;wsa:RelatesTo xmlns="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:ae6d7767-c766-475e-85fc-395270831912&lt;/wsa:RelatesTo&gt;
   &lt;/soap12:Header&gt;
   &lt;soap12:Body&gt;
      &lt;rs:RegistryResponse status="urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:<strong>Failure</strong>" xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:3.0"&gt;
      	&lt;rs:RegistryErrorList&gt;
      		&lt;rs:RegistryError severity="urn:oasis:names:tc:ebxml-regrep:ErrorSeverityType:Error" errorCode="XDSUnknownCommunity" codeContext="A value for the homeCommunityId is not recognize ()" /&gt;
      	&lt;/rs:RegistryErrorList&gt;
      &lt;/rs:RegistryResponse&gt;
   &lt;/soap12:Body&gt;
&lt;/soap12:Envelope&gt;</pre>

         <br/>
        <h3>Registry Stored Query [ITI-18] Request example</h3>
        <pre>&lt;s:Envelope xmlns:a="http://www.w3.org/2005/08/addressing" xmlns:s="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;s:Header&gt;
      &lt;a:Action s:mustUnderstand="1"&gt;urn:ihe:iti:2007:RegistryStoredQuery&lt;/a:Action&gt;
      &lt;a:MessageID&gt;urn:uuid:3cce0135-cedb-4a26-ba00-8698ee8dde04&lt;/a:MessageID&gt;
      &lt;a:ReplyTo&gt;
         &lt;a:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/a:Address&gt;
      &lt;/a:ReplyTo&gt;
      &lt;a:To s:mustUnderstand="1"/&gt;
   &lt;/s:Header&gt;
   &lt;s:Body&gt;
      &lt;query:AdhocQueryRequest xmlns:lcm="urn:oasis:names:tc:ebxml-regrep:xsd:lcm:3.0" xmlns:query="urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0" xmlns:rim="urn:oasis:names:tc:ebxml-regrep:xsd:rim:3.0" xmlns:rs="urn:oasis:names:tc:ebxml-regrep:xsd:rs:3.0" xmlns:xdsb="urn:ihe:iti:xds-b:2007" xmlns:xop="http://www.w3.org/2004/08/xop/include"&gt;
         &lt;query:ResponseOption returnComposedObjects="true" returnType="LeafClass"/&gt;
         &lt;rim:AdhocQuery home="urn:oid:1.2.3.4.5.6.2 333.23" id="urn:uuid:14d4debf-8f97-4251-9a74-a90016b0af0d"&gt;
            &lt;rim:Slot name="$XDSDocumentEntryPatientId"&gt;
               &lt;rim:ValueList&gt;
                  &lt;rim:Value&gt;'CHPAM34^^^&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO'&lt;/rim:Value&gt;
               &lt;/rim:ValueList&gt;
            &lt;/rim:Slot&gt;
            &lt;rim:Slot name="$XDSDocumentEntryStatus"&gt;
               &lt;rim:ValueList&gt;
                  &lt;rim:Value&gt;('urn:oasis:names:tc:ebxml-regrep:StatusType:Approved')&lt;/rim:Value&gt;
               &lt;/rim:ValueList&gt;
            &lt;/rim:Slot&gt;
         &lt;/rim:AdhocQuery&gt;
      &lt;/query:AdhocQueryRequest&gt;
   &lt;/s:Body&gt;
&lt;/s:Envelope&gt;</pre>

        <br/>
        <h3>Registry Stored Query [ITI-18] Success response example</h3>
        <pre>&lt;S:Envelope xmlns:S="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;S:Header&gt;
      &lt;wsa:Action s:mustUnderstand="1" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:ihe:iti:2007:RegistryStoredQueryResponse&lt;/wsa:Action&gt;
      &lt;wsa:RelatesTo xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:03630d05-2fe8-4832-9e6f-345e53d4338a&lt;/wsa:RelatesTo&gt;
   &lt;/S:Header&gt;
   &lt;S:Body&gt;
      &lt;query:AdhocQueryResponse status="urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:<Strong>Success</Strong>"
                                    xmlns:query="urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0"&gt;
         &lt;rim:RegistryObjectList xmlns:rim="urn:oasis:names:tc:ebxml-regrep:xsd:rim:3.0"&gt;
            &lt;rim:ExtrinsicObject id="urn:uuid:e72a86d7-9d50-4b24-9c8c-2f57f6560ff8"
                                    mimeType="text" objectType="urn:uuid:7edca82f-054d-47f2-a032-9b2a5b5186c1"
                                    status="urn:oasis:names:tc:ebxml-regrep:StatusType:<Strong>Approved</Strong>"
                                    lid="urn:uuid:e72a86d7-9d50-4b24-9c8c-2f57f6560ff8"&gt;
               &lt;rim:Slot name="languageCode"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;en-us&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="creationTime"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;20180115120556&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Slot name="sourcePatientId"&gt;
                  &lt;rim:ValueList&gt;
                     &lt;rim:Value&gt;<Strong>CHPAM34^^^CHPAM&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO</Strong>&lt;/rim:Value&gt;
                  &lt;/rim:ValueList&gt;
               &lt;/rim:Slot&gt;
               &lt;rim:Name&gt;
                  &lt;rim:LocalizedString value="XDSDocument Entry 1"/&gt;
               &lt;/rim:Name&gt;
               &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:41a5887f-8865-4c09-adf7-e362475b143a"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:6e9c5cff-a1db-4e62-93fd-a257fccc83d5"
                                        nodeRepresentation="*"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="*"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:f4f85eac-e6cb-4883-b524-f2705394840f"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:de59c2f8-75a2-4d1b-80ed-c491666b30b3"
                                        nodeRepresentation="1131000195104"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="eingeschr?nkt"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:a09d5840-386c-46f2-b5ad-9c3699a4309d"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:32641cd9-b238-4d56-99ed-1a97d7c85aeb"
                                        nodeRepresentation="urn:ihe:rad:1.2.840.10008.5.1.4.1.1.88.59"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.756.5.30.1.127.77.10.5.2&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="KOS Dokument"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:f33fb8ac-18af-42cc-ae0e-ed0b0bdb91e1"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:0e941bd5-e24b-418f-b527-92e0db255fff"
                                        nodeRepresentation="394778007"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Client's or patient's home (environment)"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:cccf5598-8b07-4b77-a05e-ae952c785ead"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:dc659cbe-b5b5-4235-a9b0-fbb9a2de2746"
                                        nodeRepresentation="394810000"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Rheumatology (qualifier value)"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:Classification classificationScheme="urn:uuid:f0306f51-975f-434e-a61c-c59651d33983"
                                        classifiedObject="urn:uuid:811da817-e516-4331-b9e2-f649086a5481"
                                        id="urn:uuid:b6e6d57d-eae0-4391-9146-90aabaff52f9"
                                        nodeRepresentation="721912009"
                                        objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:Classification"&gt;
                  &lt;rim:Slot name="codingScheme"&gt;
                     &lt;rim:ValueList&gt;
                        &lt;rim:Value&gt;2.16.840.1.113883.6.96&lt;/rim:Value&gt;
                     &lt;/rim:ValueList&gt;
                  &lt;/rim:Slot&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="Medication summary document (record artifact)"/&gt;
                  &lt;/rim:Name&gt;
                  &lt;rim:VersionInfo versionName="1"/&gt;
               &lt;/rim:Classification&gt;
               &lt;rim:ExternalIdentifier id="urn:uuid:b21fc0dd-3ad6-4bb5-95d5-b730ced3b984"
                                            identificationScheme="urn:uuid:2e82c1f6-a085-4c72-9da3-8640a32e42ab"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:e72a86d7-9d50-4b24-9c8c-2f57f6560ff8"
                                            value="1.3.6.1.4.1.12559.11.1.2.2.1.1.4.101633"&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSDocumentEntry.uniqueId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
               &lt;rim:ExternalIdentifier id="2617f4ec-599b-41c1-9ffe-9039178d9eb5"
                                            identificationScheme="urn:uuid:58a6f841-87b3-4a3e-92fd-a8ffeff98427"
                                            objectType="urn:oasis:names:tc:ebxml-regrep:ObjectType:RegistryObject:ExternalIdentifier"
                                            registryObject="urn:uuid:e72a86d7-9d50-4b24-9c8c-2f57f6560ff8"
                                            value="<Strong>CHPAM34^^^CHPAM&amp;1.3.6.1.4.1.12559.11.20.1&amp;ISO</Strong>"&gt;
                  &lt;rim:Name&gt;
                     &lt;rim:LocalizedString value="XDSDocumentEntry.patientId"/&gt;
                  &lt;/rim:Name&gt;
               &lt;/rim:ExternalIdentifier&gt;
            &lt;/rim:ExtrinsicObject&gt;
         &lt;/rim:RegistryObjectList&gt;
      &lt;/query:AdhocQueryResponse&gt;
   &lt;/S:Body&gt;
&lt;/S:Envelope&gt;</pre>

               <br/>
        <h3>Registry Stored Query [ITI-18] Failed response example</h3>
        <pre>&lt;S:Envelope xmlns:S="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;S:Header&gt;
      &lt;wsa:Action s:mustUnderstand="1" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:ihe:iti:2007:RegistryStoredQueryResponse&lt;/wsa:Action&gt;
      &lt;wsa:RelatesTo xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:88f37191-6659-494a-919e-2bd52f655303&lt;/wsa:RelatesTo&gt;
   &lt;/S:Header&gt;
   &lt;S:Body&gt;
      &lt;query:AdhocQueryResponse status="urn:oasis:names:tc:ebxml-regrep:ResponseStatusType:<Strong>Failed</Strong>"
                                    xmlns:query="urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0"&gt;
         &lt;Error&gt;no documents with this PatientID 333^^^&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/Error&gt;
      &lt;/query:AdhocQueryResponse&gt;
   &lt;/S:Body&gt;
&lt;/S:Envelope&gt;</pre>

    </span>
</span>
</body>
</html>
